Package org.apache.storm.loadgen

## Class ScopedTopologySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<String>
      - - org.apache.storm.loadgen.ScopedTopologySet

- All Implemented Interfaces:
    `Serializable`, `AutoCloseable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `Set<String>`

      public class ScopedTopologySet
      extends HashSet<String>
      implements AutoCloseable

  A set of topology names that will be killed when this is closed, or when the program exits.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScopedTopologySet​(Nimbus.Iface client)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `close()` |
    `boolean` | `remove​(Object o)` |
    `boolean` | `removeAll​(Collection<?> c)` |
    `boolean` | `retainAll​(Collection<?> c)` |

    - ### Methods inherited from class java.util.HashSet

      `add, clone, contains, isEmpty, iterator, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, toArray, toArray`

- - ### Constructor Detail

    - #### ScopedTopologySet

          public ScopedTopologySet​(Nimbus.Iface client)

      Constructor.
      Parameters:
        `client` - the client used to kill the topologies when this exist.

  - ### Method Detail

    - #### remove

          public boolean remove​(Object o)

      Specified by:
        `remove` in interface `Collection<String>`
      Specified by:
        `remove` in interface `Set<String>`
      Overrides:
        `remove` in class `HashSet<String>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<String>`
      Specified by:
        `clear` in interface `Set<String>`
      Overrides:
        `clear` in class `HashSet<String>`

    - #### removeAll

          public boolean removeAll​(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<String>`
      Specified by:
        `removeAll` in interface `Set<String>`
      Overrides:
        `removeAll` in class `AbstractSet<String>`

    - #### retainAll

          public boolean retainAll​(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<String>`
      Specified by:
        `retainAll` in interface `Set<String>`
      Overrides:
        `retainAll` in class `AbstractCollection<String>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`